Get a specific dynamic QRCode
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"allow_change_the_amount_on_payment": true,
"amount": {
"amount": 10,
"currency": "BRL"
},
"counterparty_bank_accounts": [
{
"branch": "0001",
"digit": "12345",
"ispb": "00000001",
"number": "12345",
"type": "checking"
}
],
"counterparty_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"description": "QRCode 1",
"expiration_datetime": "2026-07-02T19:00:14.719681Z",
"external_id": "external_id",
"hash": "123",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"image": "12389HV8AHRIKVHQ374HFULAGLE8FAH0H4F890QHO2HEFOA7EUG8FU",
"origin_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"origin_type": "none",
"stages": [
{
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"status": "created",
"timestamp": "2026-07-02T19:00:14.719682Z"
}
],
"status": "created",
"timestamp": "2026-07-02T19:00:14.719672Z",
"virtual_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Dynamic QR Code (Pix)
Get dynamic QR code
Gets a dynamic QR code by ID
GET
/
banking
/
cashin
/
pix
/
qrcodes
/
{id}
Get a specific dynamic QRCode
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
QRCode ID Unique identifier
Response
Dynamic
Response schema for a single dynamic QRCode
Response schema for a single dynamic QRCode
Show child attributes
Show child attributes
Example:
{
"allow_change_the_amount_on_payment": true,
"amount": { "amount": 10, "currency": "BRL" },
"counterparty_bank_accounts": [
{
"branch": "0001",
"digit": "12345",
"ispb": "00000001",
"number": "12345",
"type": "checking"
}
],
"counterparty_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"description": "QRCode 1",
"expiration_datetime": "2026-07-02T19:00:14.719681Z",
"external_id": "external_id",
"hash": "123",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"image": "12389HV8AHRIKVHQ374HFULAGLE8FAH0H4F890QHO2HEFOA7EUG8FU",
"origin_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"origin_type": "none",
"stages": [
{
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"status": "created",
"timestamp": "2026-07-02T19:00:14.719682Z"
}
],
"status": "created",
"timestamp": "2026-07-02T19:00:14.719672Z",
"virtual_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
⌘I

